| Version: 3.3.1

Public Member Functions | List of all members
wxPGPropArgCls Class Reference

`#include <wx/propgrid/propgridiface.h>`

## Detailed Description

# wxPGPropArgCls

Most property grid functions have this type as their argument, as it can convey a property by either a pointer or name.

## Public Member Functions
| wxPGPropArgCls (const wxPGProperty *property)
| wxPGPropArgCls (const wxString &str)
| wxPGPropArgCls (const wxPGPropArgCls &id)
| wxPGPropArgCls (wxString *str, bool WXUNUSED(deallocPtr))
| This is only needed for wxPython bindings. More...
| ~wxPGPropArgCls ()
wxPGProperty * | GetPtr () const
| wxPGPropArgCls (const char *str)
| wxPGPropArgCls (const wchar_t *str)
| wxPGPropArgCls (int)
| This constructor is required for nullptr. More...
wxPGProperty * | GetPtr (wxPropertyGridInterface *iface) const
wxPGProperty * | GetPtr (const wxPropertyGridInterface *iface) const
wxPGProperty * | GetPtr0 () const
bool | HasName () const
const wxString & | GetName () const

## Constructor & Destructor Documentation

## ◆ wxPGPropArgCls() [1/7]

wxPGPropArgCls::wxPGPropArgCls | ( | const wxPGProperty * | property | ) |

## ◆ wxPGPropArgCls() [2/7]

wxPGPropArgCls::wxPGPropArgCls | ( | const wxString & | str | ) |

## ◆ wxPGPropArgCls() [3/7]

wxPGPropArgCls::wxPGPropArgCls | ( | const wxPGPropArgCls & | id | ) |

## ◆ wxPGPropArgCls() [4/7]

wxPGPropArgCls::wxPGPropArgCls | ( | wxString * | str,
|  | bool | WXUNUSEDdeallocPtr
| ) |  |

This is only needed for wxPython bindings.

## ◆ ~wxPGPropArgCls()

wxPGPropArgCls::~wxPGPropArgCls | ( |  | ) |

## ◆ wxPGPropArgCls() [5/7]

wxPGPropArgCls::wxPGPropArgCls | ( | const char * | str | ) |

## ◆ wxPGPropArgCls() [6/7]

wxPGPropArgCls::wxPGPropArgCls | ( | const wchar_t * | str | ) |

## ◆ wxPGPropArgCls() [7/7]

wxPGPropArgCls::wxPGPropArgCls | ( | int |  | ) |

This constructor is required for nullptr.

## Member Function Documentation

## ◆ GetName()

const wxString& wxPGPropArgCls::GetName | ( |  | ) | const

## ◆ GetPtr() [1/3]

wxPGProperty* wxPGPropArgCls::GetPtr | ( |  | ) | const

## ◆ GetPtr() [2/3]

wxPGProperty* wxPGPropArgCls::GetPtr | ( | const wxPropertyGridInterface * | iface | ) | const

## ◆ GetPtr() [3/3]

wxPGProperty* wxPGPropArgCls::GetPtr | ( | wxPropertyGridInterface * | iface | ) | const

## ◆ GetPtr0()

wxPGProperty* wxPGPropArgCls::GetPtr0 | ( |  | ) | const

## ◆ HasName()

bool wxPGPropArgCls::HasName | ( |  | ) | const